NX Open C++ Reference Guide
|
Represents a GeometricUtilities::CurveLimitsData
Created in NX5.0.0.
More...
Public Member Functions | |
void | ComplementArc () |
Complements the arc Created in NX5.0.0. | |
NXOpen::GeometricUtilities::CurveExtendData * | EndLimit () |
Returns the end limit Created in NX5.0.0. | |
bool | FullCircle () |
Returns the full circle Created in NX5.0.0. | |
void | SetFullCircle (bool fullCircle) |
Sets the full circle Created in NX5.0.0. | |
NXOpen::GeometricUtilities::CurveExtendData * | StartLimit () |
Returns the start limit Created in NX5.0.0. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a GeometricUtilities::CurveLimitsData
Created in NX5.0.0.
void NXOpen::GeometricUtilities::CurveLimitsData::ComplementArc | ( | ) |
Complements the arc
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
NXOpen::GeometricUtilities::CurveExtendData* NXOpen::GeometricUtilities::CurveLimitsData::EndLimit | ( | ) |
Returns the end limit
Created in NX5.0.0.
License requirements : None
bool NXOpen::GeometricUtilities::CurveLimitsData::FullCircle | ( | ) |
Returns the full circle
Created in NX5.0.0.
License requirements : None
void NXOpen::GeometricUtilities::CurveLimitsData::SetFullCircle | ( | bool | fullCircle | ) |
Sets the full circle
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
fullCircle | fullcircle |
NXOpen::GeometricUtilities::CurveExtendData* NXOpen::GeometricUtilities::CurveLimitsData::StartLimit | ( | ) |
Returns the start limit
Created in NX5.0.0.
License requirements : None
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.